> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuwacom.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent avatar

> Get the avatar of the agent by its ID



## OpenAPI

````yaml /openapi.yaml get /api/embed/chat/{agentId}/avatar
openapi: 3.1.0
info:
  title: Nuwacom API
  description: API for Nuwacom application
  version: 1.0.0
servers:
  - url: https://{customer-tenant}.nuwacom.ai/
    description: Nuwacom API
security:
  - bearerAuth: []
paths:
  /api/embed/chat/{agentId}/avatar:
    get:
      tags:
        - Embedded Chat
      summary: Get agent avatar
      description: Get the avatar of the agent by its ID
      operationId: getApiEmbedChatByAgentIdAvatar
      parameters:
        - in: path
          name: agentId
          schema:
            type: string
            description: >-
              Unique ID of the agent to retrieve the avatar for. This value is
              found in the embed URL (e.g., /embed/chat/{agentId}).
          required: true
      responses:
        '200':
          description: Image data
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````